Retrieve Job Relationship Manager
Retrieve the relationship manager assigned to a job.
The get job relationship manager allows you to get the relationship manager assigned to a job by using the job ID.
Endpoint
| Method | Url |
|---|---|
GET | /v1.0/jobs/{job_id}/relationship-manager |
Path Parameters
job_id
•
string
required
The unique identifier of the job for which to retrieve the assigned relationship manager.
Sample Request
bashCopied1curl -X GET 'https://api.worklayer.com/v1.0/jobs/a6e5ea2f-7d96-4852-9f46-2383dfd572f7/relationship-manager' \2-H 'Authorization: Bearer {token}'
Response
An instance of Relationship Manager Resource.
Sample Response
jsonCopied1{2 "user_id": "a6e5ea2f-7d96-4852-9f46-2383dfd572f7",3 "first_name": "John",4 "last_name": "Doe",5 "full_name": "John Doe",6 "email": "john.doe@taxfyle.com",7 "meeting_link": "https://meeting-link",8 "phone_number": "+1800-123-4567"9}
Errors
Forbidden: API client does not have permission to view relationship manager data.Unauthorized: API client does not have valid credentials.NotFound: The specified job was not found in the workspace.
Last updated on April 20, 2026
Privacy PolicyTerms & Conditions© 2026 Taxfyle